# norootforbuild

Name:		xsys
Version:	2.2.0
Release:	3.3

Summary:	X-Sys system information plugin for X-Chat
URL:		http://dev.gentoo.org/~chainsaw/xsys
License:	GPL
Group:		Productivity/Networking/IRC

Source0:	http://dev.gentoo.org/~chainsaw/xsys/download/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/build-%{name}-%{version}

BuildRequires:	audacious-devel dbus-1-devel glib2-devel pciutils-devel
BuildRequires:	pkg-config xchat


%description
X-Sys is a system information plugin for X-Chat, originally created by
Michael Shoup. It gathers various information about your computer, which
it can display for you privately, or for others to see in an IRC channel
or private conversation.

The plugin can display the following information:

    * Number of CPU's and their specifications
    * Operating system information
    * Video card type
    * Sound card type
    * Memory and swap usage
    * Disk usage
    * Ethernet card type
    * Network traffic, both current and total
    * Currently playing song in XMMS or Audacious

%prep
%setup -q -n %{name}-%{version}


%build
%__make  %{?jobs:-j%{jobs}}


%install
%__install -d -m755 %{buildroot}/%{_libdir}/xchat/plugins
%__install -m644 %{name}-%{version}.so %{buildroot}/%{_libdir}/xchat/plugins


%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc ChangeLog INSTALL README
%{_libdir}/xchat/plugins/%{name}-%{version}.so


%changelog
* Wed Aug 12 2009 Detlef Reichelt <detlef@links2linux.de> 2.2.0
- initial build 2.2.0
